package org.kaiwitte.workbench.data;

import java.sql.SQLException;
import java.io.IOException;

/**
 * A factory to create {@link DataManager}s. It may reuse them.
 */ 
public interface DataManagerFactory {
    /**
     * Creates a new {@link DataManager} or reuses an old one.
     * @param scheme the scheme
     * @return the {@link DataManager}
     * @throws IOException iff an I/O error occurs
     */ 
    public DataManager getDataManager(DataScheme scheme) throws IOException;
}
