package org.kaiwitte.workbench.data;

import net.tmorris.adt.sequence.Sequence;

import java.net.URI;
import java.io.IOException;
import java.io.InputStream;

/**
 * A factory to create {@link DataScheme}s.
 */ 
public interface DataSchemeFactory {
    /**
     * Creates a {@link DataScheme}.
     * @param in the <code>InputStream</code> to a resource in XML syntax
     * that defines the {@link DataScheme}s.
     * @return the {@link DataScheme}s
     * @throws IOException iff an I/O error occurs
     */ 
    public Sequence<DataScheme> createDataScheme(InputStream in) throws IOException;
}
