package org.kaiwitte.workbench.data;

import java.sql.SQLException;
import java.io.IOException;

/**
 * A factory to create {@link MetaDataManager}s. It may reuse them.
 */ 
public interface MetaDataManagerFactory {
    /**
     * Creates a new {@link MetaDataManager} or reuses an old one.
     * @param scheme the scheme
     * @return the {@link MetaDataManager}
     * @throws java.io.IOException iff an I/O error occurs
     */ 
    public MetaDataManager getMetaDataManager(MetaScheme scheme) 
        throws IOException;

    boolean isAllConnected();

    void reconnectAll() throws IOException;
}
