package org.kaiwitte.workbench.data;

import net.tmorris.adt.sequence.Sequence;

/**
 * A record that combines related records. E. g. a repair request (primary
 * record) is made by a customer (secondary record).
 * @see MetaScheme
 */
public interface MetaRecord {
    /**
     * Returns the value at the specified column.
     * @param column the column
     * @return the value at the specified column
     * @throws IndexOutOfBoundsException iff the column value is
     * &gt; the associated {@link MetaScheme}'s length - 1 or &lt; 0,
     */
    public Object getValue(int column);

    /**
     * Returns the name of the column.
     * @param column the column id
     * @return the name of the column
     */
    public String getColumnName(int column);

    /**
     * Returns all records. The first one in the array is the primary one
     * (e. g. of type repair request).
     * @return the records that back this instance
     */
    public Sequence<Record> getRecords();
}
