package org.kaiwitte.workbench.data;

import net.tmorris.adt.sequence.Sequence;

/**
 * A scheme that combines related {@link DataScheme}s.
 * E. g. a repair request (primary
 * <code>DataScheme</code>) is made by a customer (secondary 
 * <code>DataScheme</code>).
 * @see MetaRecord
 */
public interface MetaScheme {
    /**
     * Returns the length (number of {@link DataColumn}s).
     * @return the length 
     */
    public int getLength();

    /**
     * Returns the {@link DataColumn}s. 
     * @return the {@link DataColumn}s
     */
    public Sequence<DataColumn> getColumns();

    /**
     * Returns the associated {@link DataScheme}s. The primary one
     * (e. g. repair requests) is the first one in the array. 
     * @return the associated {@link DataScheme}s
     */
    public Sequence<DataScheme> getDataSchemes();

    /**
     * Returns the name of the primary {@link DataScheme}
     * @return the name
     */
    public String getName();
}
