package org.kaiwitte.workbench.data;

import net.tmorris.adt.sequence.Sequence;

import java.io.IOException;
import java.util.List;
import java.util.Arrays;

/**
 * A <code>MetaDataManager</code> that encloses multiple other 
 * MetaDataManagers,making backup copies of new entries.
 * I think it is not used any more? //@todo check and remove
 */
class MultiMetaDataManager implements MetaDataManager {
    private final List<MetaDataManager> managers;
    
    MultiMetaDataManager(MetaDataManager... managers) {
        if (managers.length == 0) {
            throw new IllegalArgumentException("length must not be 0");
        }
        this.managers = Arrays.asList(managers.clone());
    }
    public Sequence<MetaRecord> find(Condition condition) throws IOException {
        return managers.get(0).find(condition);
    }

    public void connect() throws IOException {
        throw new UnsupportedOperationException();
    }

    public boolean isConnected() throws IOException {
        throw new UnsupportedOperationException();
    }

    public void update(MetaRecord record) throws IOException {
        managers.get(0).update(record);
    }

    public MetaRecord insert(MetaRecord metaRecord) throws IOException {
        MetaRecord ret = managers.get(0).insert(metaRecord);
        for (int i = 1; i < managers.size(); i++) {
            //Record[] records = metaRecord.getRecords();
            managers.get(i).insert(metaRecord);
        }
        return ret;
    }

    public void delete(long recordNumber) throws IOException {
        managers.get(0).delete(recordNumber);
    }
}
