package org.kaiwitte.workbench.data;

/**
 * A record.
 * <i>Implementation note: A record is backed by a row in an SQL
 * table of the {@link #getScheme() associated DataScheme}.
 */ 
public interface Record {
    /**
     * Returns the ID.
     * @return the id
     */ 
    public long getID();
    
    /**
     * Returns the value.
     * @param fieldNumber the index
     * @return the content at the index.
     */ 
    public Object getValue(int fieldNumber);
    
    /**
     * Returns the associated scheme.
     * @return the scheme
     */ 
    public DataScheme getScheme();
}
