package org.kaiwitte.workbench.printing;

import org.kaiwitte.workbench.data.MetaRecord;
import org.kaiwitte.workbench.ui.UIConfig;

import java.io.IOException;

import net.tmorris.adt.sequence.Sequence;

/**
 * An interface to print records.
 */
public interface RecordPrinter {
    /**
     * Prints the record. The resulting prints is based on the provided
     * templates.
     * @param record the record to provide values for variables in the 
     * templates
     * @param templates the template texts (file names), one per print
     * @throws IOException iff an I/O error occurs
     * @see org.kaiwitte.workbench.tools.Tools#replaceVariables
     */
    public void printRecord(MetaRecord record,
                            UIConfig config,
                            Sequence<String> templates)
        throws IOException;
}
