package org.kaiwitte.workbench.tools;

import static java.lang.System.*;

import java.util.Iterator;

public final class UnmodifiableIterator<E> implements Iterator<E> {
    private final Iterator<E> it;

    public UnmodifiableIterator(Iterator<E> it) {
        this.it = it;
    }

    public void remove() {
        throw new UnsupportedOperationException();
    }

    public boolean hasNext() {
        return it.hasNext();
    }

    public E next() {
        return it.next();
    }

}
