package org.kaiwitte.workbench.ui.controller;

import static java.lang.System.*;

import javax.swing.table.TableCellRenderer;
import javax.swing.*;
import java.awt.*;
import java.util.Map;
import java.util.Collections;
import static java.awt.GridBagConstraints.*;

public final class ColorCellRenderer implements TableCellRenderer {
    private final TableCellRenderer wrapped;
    private final IconCreator icons;
    
    public static final Icon BLUE =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/blue_dot.gif"));
    public static final Icon RED =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/red_dot.gif"));
    public static final Icon YELLOW =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/yellow_dot.gif"));
    public static final Icon GREEN =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/green_dot.gif"));
    public static final Icon ORANGE =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/orange_dot.gif"));
    public static final Icon PINK =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/pink_dot.gif"));
    public static final Icon PURPLE =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/purple_dot.gif"));
    public static final Icon WHITE =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/white_dot.gif"));
    public static final Icon CYAN =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/cyan_dot.gif"));
    public static final Icon LIGHTBLUE =
        new ImageIcon(ColorCellRenderer.class.getResource("/res/lightblue_dot.gif"));

    public ColorCellRenderer(TableCellRenderer wrapped,
                             IconCreator icons) {
        this.wrapped = wrapped;
        this.icons = icons;
    }

    public Component getTableCellRendererComponent(JTable table, 
                                                   Object value,
                                                   boolean isSelected,
                                                   boolean hasFocus, 
                                                   int row,
                                                   int column) {
        Icon icon = icons.getIconFor(value);
        JLabel ret = (JLabel) wrapped.getTableCellRendererComponent(
                              table, value, isSelected, hasFocus, row, column);
        ret.setIcon(icon);
        return ret;
    }
}
