package org.kaiwitte.workbench.ui.controller;

import javax.swing.event.DocumentListener;
import javax.swing.event.DocumentEvent;
import static java.lang.System.*;
import java.util.List;
import java.util.ArrayList;
import java.util.Arrays;

public class CompoundDocumentListener implements DocumentListener  {
    private final List<DocumentListener> listeners =
        new ArrayList<DocumentListener>();

    public CompoundDocumentListener(DocumentListener... listeners) {
        this.listeners.addAll(Arrays.asList(listeners.clone()));
    }

    public void insertUpdate(DocumentEvent e) {
        for (DocumentListener l : listeners) {
            l.insertUpdate(e);
        }
    }

    public void removeUpdate(DocumentEvent e) {
        for (DocumentListener l : listeners) {
            l.removeUpdate(e);
        }
    }

    public void changedUpdate(DocumentEvent e) {
        for (DocumentListener l : listeners) {
            l.changedUpdate(e);
        }
    }
}
