package org.kaiwitte.workbench.ui.controller;

import org.kaiwitte.workbench.ui.UIConfig;
import org.kaiwitte.workbench.ui.view.SearchPanel;
import org.kaiwitte.workbench.data.DataColumn;
import org.kaiwitte.workbench.data.Condition;
import org.kaiwitte.workbench.data.MetaDataManager;
import org.kaiwitte.workbench.data.MetaRecord;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.util.Map;
import java.io.IOException;
import java.sql.SQLException;

/**
 * Exits the application.
 */ 
public class ExitAction extends AbstractAction {
    private final UIConfig config;

    /**
     * Creates a new instance.
     * @param config the <code>UIConfig</code> of the runtime context
     */ 
    public ExitAction(UIConfig config) {
        putValue(Action.NAME, config.getResource("exit"));
//        putValue(Action.SMALL_ICON, new ImageIcon(
//            getClass().getResource("/res/Preferences24.gif")));
        this.config = config;
    }

    /**
     * Exits the application.
     * @param e not used
     */ 
    public void actionPerformed(ActionEvent e) {
        if (config.getMainView().confirm(
                config.getResource("exit_confirm"))) {
            System.exit(0);
        }
    }
}
