package org.kaiwitte.workbench.ui.controller;

import static java.lang.System.*;

import org.kaiwitte.workbench.ui.UIConfig;

import javax.swing.*;
import java.awt.event.ActionEvent;

/**
 * Displays general information.
 */ 
public final class InfoAction extends AbstractAction {
    private final UIConfig config;

    /**
     * Creates a new instance.
     * @param config the <code>UIConfig</code> of the runtime context
     */ 
    public InfoAction(UIConfig config) {
        this.config = config;
        putValue(Action.NAME, config.getResource("info"));
        putValue(Action.SMALL_ICON, new ImageIcon(
            getClass().getResource("/res/Information24.gif")));
    }

    /**
     * Displays the information.
     * @param e not used
     */ 
    public void actionPerformed(ActionEvent e) {
        config.getMainView().info(config.getResource("info_text"));
    }
}
