package org.kaiwitte.workbench.ui.controller;

import org.kaiwitte.workbench.ui.UIConfig;
import org.kaiwitte.workbench.data.MetaDataManager;
import org.kaiwitte.workbench.data.MetaDataManagerFactory;

import javax.swing.*;
import static java.lang.System.*;
import java.awt.event.ActionEvent;
import java.io.IOException;

/**
 * An Action to reconnect to the database.
 */
public class ReconnectAction extends AbstractAction {
    private final UIConfig config;

    public ReconnectAction(UIConfig config) {
        this.config = config;
        super.putValue(Action.NAME, config.getResource("reconnect"));
    }

    public void actionPerformed(ActionEvent e) {
        MetaDataManagerFactory factory = config.getMetaDataManagerFactory();
        /*
         * Confirm action if no reconnection is necessary.
         */
        if (!factory.isAllConnected()
            || config.getMainView().confirm(
                config.getResource("confirm_reconnect"))) {
            try {
                factory.reconnectAll();
            } catch (IOException e1) {
                config.getMainView().error(
                    config.getResource("error_connecting_to_or_writing_to_database"),
                    e1
                );
            }
        }
    }
}
