package org.kaiwitte.workbench.ui.controller;

import org.kaiwitte.workbench.ui.model.MetaSchemeTableModel;
import org.kaiwitte.workbench.ui.UIConfig;
import org.kaiwitte.workbench.data.MetaRecord;
import org.kaiwitte.workbench.data.MetaDataManager;

import javax.swing.*;
import javax.help.*;
import java.awt.event.ActionEvent;
import java.io.IOException;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.net.URL;
import java.net.MalformedURLException;

import static java.lang.System.*;

/**
 * An <code>Action</code> to display the help frame.
 */ 
public final class ShowDeveloperHelpAction extends AbstractAction {
    private final UIConfig config;

    /**
     * Creates a new instance.
     * @param config the <code>UIConfig</code> of the runtime context
     */ 
    public ShowDeveloperHelpAction(UIConfig config) {
        putValue(Action.NAME, config.getResource("help_for_developers"));
        putValue(Action.SMALL_ICON, new ImageIcon(
            getClass().getResource("/res/Help24.gif")));
        this.config = config;
    }

    /**
     * Displays the help
     * @param e not used
     */ 
    public void actionPerformed(ActionEvent e) {
        // init help button
        // Find the HelpSet file and create the HelpSet object:
        //String helpHS = "res/help/HelpSet.hs";
        String helpHS = "/res/help/javadoc/javahelp/jhelpset.hs";
        HelpSet hs = null;
        ClassLoader cl = ShowDeveloperHelpAction.class.getClassLoader();
        try {
            URL hsURL = ShowDeveloperHelpAction.class.getResource(helpHS);
            //URL hsURL = new File("C:/progs/java/workbench/latest/res/res/help/javadoc/javahelp/jhelpset.hs").toURI().toURL(); 
            //out.println(hsURL);
            hs = new HelpSet(null, hsURL);
            // Create a HelpBroker object:
           Presentation presentation = MainWindow.getPresentation(hs,
                    "default");
            presentation.setDisplayed(true);            
            //HelpBroker hb = hs.createHelpBroker();
            //new CSH.DisplayHelpFromSource(hb).actionPerformed(e);
        } catch (HelpSetException hse) { config.getMainModel().logException(hse);
            throw new AssertionError(hse);
        } /*catch (MalformedURLException e1) { config.getMainModel().logException(e1);
            throw new AssertionError(e1);
        }*/
    }
}
