package org.kaiwitte.workbench.ui.controller;

import static java.lang.System.*;

import org.kaiwitte.workbench.ui.UIConfig;
import org.kaiwitte.workbench.ui.view.MailDialog;

import javax.swing.*;
import java.awt.event.ActionEvent;

public final class ShowFeedbackDialogAction extends AbstractAction {
    private final UIConfig config;

    public ShowFeedbackDialogAction(UIConfig config) {
        this.config = config;
        putValue(Action.NAME, config.getResource("feedback"));
        putValue(Action.SMALL_ICON,
                 new ImageIcon(getClass().getResource("/res/About24.gif")));
    }

    public void actionPerformed(ActionEvent e) {
        String from = config.getOption("from");
        String to = "support@kaiwitte.org";
        String subject = "Feedback: workbench";
        
        StringBuilder body = new StringBuilder();
        for (int i = 0; i < 5; i++) {
            body.append(System.getProperty("line.separator", "\n"));
        }
        body.append(new java.util.Date());
        body.append(System.getProperty("line.separator", "\n"));
        body.append(config.getMainModel().getOutData());
        
        new MailDialog(config.getMainView(),
                                           from,
                                           to,
                                           subject,
                                           body.toString(),
                                           config).setVisible(true);;
    }
}
