package org.kaiwitte.workbench.ui.controller;

import org.kaiwitte.workbench.ui.model.MetaSchemeTableModel;
import org.kaiwitte.workbench.ui.UIConfig;
import org.kaiwitte.workbench.data.MetaRecord;
import org.kaiwitte.workbench.data.MetaDataManager;

import javax.swing.*;
import javax.help.HelpSet;
import javax.help.HelpBroker;
import javax.help.CSH;
import javax.help.HelpSetException;
import java.awt.event.ActionEvent;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.net.URL;

import static java.lang.System.*;

/**
 * An <code>Action</code> to display the help frame.
 */ 
public final class ShowHelpAction extends AbstractAction {
    private UIConfig config;

    /**
     * Creates a new instance.
     * @param config the <code>UIConfig</code> of the runtime context
     */ 
    public ShowHelpAction(UIConfig config) {
        putValue(Action.NAME, config.getResource("help"));
        putValue(Action.SMALL_ICON, new ImageIcon(
            getClass().getResource("/res/Help24.gif")));
        this.config = config;
    }

    /**
     * Displays the help
     * @param e not used
     */ 
    public void actionPerformed(ActionEvent e) {
        // init help button
        // Find the HelpSet file and create the HelpSet object:
        System.out.println(ShowHelpAction.class.getResource("res/help/HelpSet.hs"));
        String helpHS = "res/help/HelpSet.hs";
        //String helpHS = "res/help/javadoc/jhelpset.hs";
        HelpSet hs = null;
        ClassLoader cl = ShowHelpAction.class.getClassLoader();
        try {
            URL hsURL = HelpSet.findHelpSet(cl, helpHS);
            System.out.println(hsURL);
            hs = new HelpSet(null, hsURL);
            // Create a HelpBroker object:
            HelpBroker hb = hs.createHelpBroker();
            new CSH.DisplayHelpFromSource(hb).actionPerformed(e);
        } catch (HelpSetException hse) { config.getMainModel().logException(hse);
            throw new AssertionError(hse);
        }
    }
}
