package org.kaiwitte.workbench.ui.controller;

import org.kaiwitte.workbench.ui.UIConfig;
import org.kaiwitte.workbench.ui.view.SearchPanel;
import org.kaiwitte.workbench.data.DataColumn;
import org.kaiwitte.workbench.data.Condition;
import org.kaiwitte.workbench.data.MetaDataManager;
import org.kaiwitte.workbench.data.MetaRecord;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.util.Map;
import java.io.IOException;
import java.sql.SQLException;

/**
 * An <code>Action</code> to display the options dialog.
 */ 
public class ShowOptionsAction extends AbstractAction {
    private final UIConfig config;

    /**
     * Creates a new instance.
     * @param config the <code>UIConfig</code> of the runtime context
     */ 
    public ShowOptionsAction(UIConfig config) {
        putValue(Action.NAME, config.getResource("options"));
        putValue(Action.SMALL_ICON, new ImageIcon(
            getClass().getResource("/res/Preferences24.gif")));
        this.config = config;
    }

    /**
     * Shows the dialog.
     * @param e not used
     */ 
    public void actionPerformed(ActionEvent e) {
        config.getMainView().showOptions();
    }
}
