package org.kaiwitte.workbench.ui.controller;

import static java.lang.System.*;

import org.kaiwitte.workbench.ui.UIConfig;
import org.kaiwitte.workbench.ui.view.TextView;

import javax.swing.*;
import java.awt.event.ActionEvent;

public class ShowTextAction extends AbstractAction {
    private final UIConfig config;

    /**
     * Defines an <code>Action</code> object with the specified
     * description string and a the specified icon.
     */
    public ShowTextAction(UIConfig config) {
        super(config.getResource("show_out"), 
              new ImageIcon(
                  ShowTextAction.class.getResource("/res/New24.gif")));
        this.config = config;
    }

    public void actionPerformed(ActionEvent e) {
        new TextView(config.getMainView(), config.getMainModel().getOutData())
            .setVisible(true);
    }
}
