package org.kaiwitte.workbench.ui.model;

import org.kaiwitte.workbench.data.Record;

import javax.swing.table.TableModel;

/**
 * A <code>TableModel</code> to hold 
 * {@link org.kaiwitte.workbench.data.Record}s.
 */ 
public interface SchemeTableModel extends TableModel {
    /**
     * Adds a record as a table row.
     * @param r the new record
     */ 
    public void addRecord(Record... r);

    /**
     * Removes all entries.
     */ 
    public void clear();

    /**
     * Returns the <code>Record</code> in the specified row.
     * @param index the row number, 0-based
     * @return the <code>Record</code> in the specified row
     * @throws IndexOutOfBoundsException iff <code>index < 0</code>
     * or <code>index ></code> the maximum index  
     */ 
    public Record getRecord(int index);
}
