package org.kaiwitte.workbench.ui.view;

import javax.swing.*;
import javax.swing.text.JTextComponent;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import java.io.StringWriter;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;

/**
 * A dialog to display simple multiline text.
 */ 
public final class TextView extends JDialog {

    public TextView(Frame owner, String content) {
        super(owner, "log", true);
        
        setLayout(new BorderLayout(0, 10));
        
        JTextComponent text = new JTextArea(content);
        text.setEditable(false);

        add(new JScrollPane(text), BorderLayout.CENTER);
        
        setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);

        Action closeAction = new AbstractAction() {
                        {
                            putValue(Action.NAME, "Ok");
                        }

                        public void actionPerformed(ActionEvent e) {
                            setVisible(false);
                        }
                    };
        JButton ok = new JButton(
            closeAction
        );
        add(ok, BorderLayout.SOUTH);

        KeyStroke escape = KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0, false);
        getRootPane().getInputMap(
            JComponent.WHEN_IN_FOCUSED_WINDOW).put(escape, "ESCAPE");
        getRootPane().getActionMap().put("ESCAPE", closeAction);
        
        setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);

        pack();
    }
}
