package test;

import static org.jtiger.framework.FixturesRunnerConfigFactory.newFixturesRunnerConfig;
import static org.jtiger.framework.ReadOnlyArrayFactory.newReadOnlyArray;
import static org.jtiger.framework.FixturesRunnerFactory.newFixturesRunner;
import org.jtiger.framework.*;
import static org.jtiger.assertion.Basic.assertEqual;
import static org.jtiger.assertion.Basic.assertTrue;
import static org.jtiger.assertion.Basic.assertFalse;
import static org.jtiger.assertion.Basic.assertNull;

import org.kaiwitte.workbench.data.*;

import java.net.URI;
import java.net.URISyntaxException;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.sql.SQLException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.Statement;

import static java.lang.System.*;

import net.tmorris.adt.sequence.*;
import net.tmorris.adt.sequence.Sequence;

@Fixture("data manager factory")
@Category("data manager factory")
public class DataManagerFactoryTest {
    @Test("factory reuses instances")
    public void emptySearchResult() throws URISyntaxException, IOException,
            IllegalAccessException, SQLException, InstantiationException,
            ClassNotFoundException {
        DataSchemeFactory factory = new DataSchemeFactoryImpl();
        InputStream in = getClass().getResourceAsStream("/schemes.xml");
        Sequence<DataScheme> schemes = factory.createDataScheme(in);

        DataManagerFactoryImpl dataManagerFactory =
            new DataManagerFactoryImpl("com.mysql.jdbc.Driver",
                                       "jdbc:mysql://localhost/test?user=&password=");
        DataManager data = dataManagerFactory.getDataManager(
                schemes.get(0));
        DataManager data2 = dataManagerFactory.getDataManager(
                schemes.get(0));
        assertEqual(data, data2);
    }
}
