package test;

import static org.jtiger.framework.FixturesRunnerConfigFactory.newFixturesRunnerConfig;
import static org.jtiger.framework.ReadOnlyArrayFactory.newReadOnlyArray;
import static org.jtiger.framework.FixturesRunnerFactory.newFixturesRunner;
import static java.lang.System.out;
import org.jtiger.framework.*;
import org.kaiwitte.workbench.data.DataManager;

public class TestAll {
    public static void main(String... args) throws Throwable
    {
        Class<?>[] fixtureClasses = new Class<?>[] {
            SchemeFactoryTest.class,ConditionTest.class, RecordTest.class,
            DataManagerTest.class, DataManagerFactoryTest.class,
            SchemeTableModelTest.class, MetaSchemeTest.class};

        FixturesRunnerConfig config = newFixturesRunnerConfig(
            newReadOnlyArray(fixtureClasses), null, null, false, ".*");
        FixturesRunner runner = newFixturesRunner();
        FixtureResults results = runner.run(config);
        for (FixtureResult result : results)
        {
            for (TestResult tr : result)
            {
                out.println(tr.getTestResultType() + " : " + tr.getMessage());
                if (tr.getException() != null 
                        && tr.getTestResultType() == TestResultType.FAILURE) {
                    tr.getException().printStackTrace();
                }
            }
        }
    }
}
